> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Stats

> GetStats retrieves event processing statistics for a specific SSF receiver stream, including counts of received, acted-on, and failed events.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/ssf-receiver-streams/{stream_id}/stats
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/ssf-receiver-streams/{stream_id}/stats:
    get:
      tags:
        - SSF Receiver
      summary: Get Stats
      description: >-
        GetStats retrieves event processing statistics for a specific SSF
        receiver stream, including counts of received, acted-on, and failed
        events.
      operationId: c1.api.ssf_receiver.v1.SSFReceiverStreamService.GetStats
      parameters:
        - in: path
          name: stream_id
          required: true
          schema:
            description: The ID of the SSF receiver stream to get stats for.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.ssf_receiver.v1.SSFReceiverStreamServiceGetStatsResponse
          description: >-
            SSFReceiverStreamServiceGetStatsResponse contains the event
            processing statistics for the stream.
      x-codeSamples:
        - lang: go
          label: GetStats
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.SSFReceiverStream.GetStats(ctx, operations.C1APISSFReceiverV1SSFReceiverStreamServiceGetStatsRequest{\n        StreamID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SSFReceiverStreamServiceGetStatsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.ssfReceiverStream.getStats({
                streamId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.ssf_receiver.v1.SSFReceiverStreamServiceGetStatsResponse:
      description: >-
        SSFReceiverStreamServiceGetStatsResponse contains the event processing
        statistics for the stream.
      properties:
        stats:
          $ref: '#/components/schemas/c1.api.ssf_receiver.v1.SSFReceiverStreamStats'
      title: Ssf Receiver Stream Service Get Stats Response
      type: object
      x-speakeasy-name-override: SSFReceiverStreamServiceGetStatsResponse
    c1.api.ssf_receiver.v1.SSFReceiverStreamStats:
      description: SSFReceiverStreamStats is a lightweight read-only stats object.
      properties:
        eventsActedOnCount:
          description: >-
            Number of events that triggered an action (e.g., session
            revocation).
          format: int64
          readOnly: false
          type: string
        eventsFailedCount:
          description: Number of events that failed processing.
          format: int64
          readOnly: false
          type: string
        eventsReceivedCount:
          description: Total number of events received on this stream.
          format: int64
          readOnly: false
          type: string
        lastErrorAt:
          format: date-time
          readOnly: false
          type: string
        lastErrorMessage:
          description: Human-readable description of the most recent processing error.
          readOnly: false
          type: string
        lastEventReceivedAt:
          format: date-time
          readOnly: false
          type: string
        lastVerifiedAt:
          format: date-time
          readOnly: false
          type: string
        streamId:
          description: The SSF receiver stream these stats belong to.
          readOnly: false
          type: string
        transmitterStatus:
          description: >-
            Current status reported by the transmitter (e.g., "enabled",
            "paused").
          readOnly: false
          type: string
        transmitterStatusReason:
          description: Reason provided by the transmitter for its current status.
          readOnly: false
          type: string
      title: Ssf Receiver Stream Stats
      type: object
      x-speakeasy-name-override: SSFReceiverStreamStats
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````